#!/bin/sh

PATH=/bin:/usr/bin:/sbin:/usr/sbin

# The following value is extracted by debstd to figure out how to generate
# the postinst script. Edit the field to change the way the script is
# registered through update-rc.d (see the manpage for update-rc.d!)
FLAGS="start 90 S ."

# We also are friendly with those Red Hat-like systems.  :-)
# chkconfig: 345 4 96
# description: Initialises VPD/hardware inventory information.

# And SuSE...
### BEGIN INIT INFO
# Provides:       boot.lsvpd
# Required-Start: boot.localfs
# Required-Stop:
# Default-Start:  B
# Default-Stop:
# Description:    lsvpd hardware inventory utilities
### END INIT INFO



case "$1" in
  start)
    echo -n "Initialising lsvpd database"
    /sbin/update-device-tree
    echo "."
    ;;
  stop)
    :
    ;;
  *)
    echo "Usage: lsvpd {start|stop}"
    exit 1
    ;;
esac

exit 0
