#ifndef PCI_VPD_TO_TXT_H
#define PCI_VPD_TO_TXT_H

/*
  pci_vpd_to_txt - Convert PCI VPD chunks to text.
  
  This file is part of the Linux lsvpd package.
  
  (C) Copyright IBM Corp. 2002, 2003, 2004
  
  Maintained by  Martin Schwenke <martins@au.ibm.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.
 
  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  $Id: pci_vpd_to_txt.h,v 1.5 2004/01/08 03:58:54 martins Exp $
*/
  
#include "growbuf.h"

extern growbuf * pci_vpd_to_txt(growbuf *);

#endif
