#ifndef SCSI_VPD_COMMON_H
#define SCSI_VPD_COMMON_H

/*
  scsi_vpd_common - SCSI VPD support routines.
  
  This file is part of the Linux lsvpd package.
  
  (C) Copyright IBM Corp. 2002, 2004
  
  Maintained by  Martin Schwenke <martins@au.ibm.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.
 
  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  $Id: scsi_vpd_common.h,v 1.4 2004/01/08 04:00:23 martins Exp $
*/
  
#include <stdio.h>

extern void dump_field(const char *, /* directory          */
		       const char *, /* field key          */
		       const char *, /* data               */
		             size_t, /* length             */
		       const char *  /* device type string */
		       );

#endif
